<?php
/**
 * Aramba. Version 1.0.0
 * @package Joomla.JoomShopping
 * @author Anton Okhrimenko
 * @website http://www.aramba.ru
 * @email mail@aramba.ru
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 */
defined("_JEXEC") or die("Restricted access");

if(!function_exists('curl_version')){
    JFactory::getApplication()->enqueueMessage('cURL is NOT installed on this server. Addon can not be installed','error');
    return FALSE;
}

$addon_version	= "1.0.0";
$jshop_version	= "3.14+, 4.2+";
$joomla_version	= "2.5, 3.2";
$addon_create	= "11.12.2015";
$addon_name		= "Aramba for JoomShopping";
$addon_alias	= "aramba_ru";
$plugin_names	= array("jshoppingadmin", "jshoppingcheckout");

foreach($plugin_names as $plugin){
	$db = JFactory::getDbo();
	$query = $db->getQuery(true);
	$query->select("extension_id");
	$query->from("#__extensions");
	$query->where("element = \"".$addon_alias."\"");
	$query->where("folder = \"".$plugin."\"");
	$db->setQuery($query);
	$extension_id = $db->loadResult();
	$query = $db->getQuery(true);
	if ($extension_id){
		$query->update("#__extensions");
		$query->where("extension_id = ".$extension_id);
	}else{
		$query->insert("#__extensions");
	}
	$query->set("name		= \"".$addon_name."\"");
	$query->set("element	= \"".$addon_alias."\"");
	$query->set("folder		= \"".$plugin."\"");
	$query->set("type		= \"plugin\"");
	$query->set("enabled	= 1");
	$query->set("access		= 1");
	$query->set("protected	= 0");
	$query->set("manifest_cache	= '{
						\"creationDate\":\"".$addon_create."\",
						\"author\":\"Anton Okhrimenko\",
						\"authorEmail\":\"mail@aramba.ru\",
						\"authorUrl\":\"http://www.aramba.ru\",
						\"version\":\"".$addon_version."\"}'");
	$db->setQuery($query);
	$db->query();
	unset($db);
	unset($query);
	unset($extension_id);
}

$table_addon = JTable::getInstance("Addon", "JShop");
$table_addon->loadAlias($addon_alias);
$table_addon->set("name",		$addon_name);
$table_addon->set("version",	"Addon: ".$addon_version."<br>JShop: ".$jshop_version);
$table_addon->set("uninstall","/components/com_jshopping/addons/".$addon_alias."/uninstall.php");
$table_addon->store();

$back = "index.php?option=com_jshopping&controller=addons";