<?php
/**
 * ARAMBA. Version 1.0.0
 * @package Joomla.JoomShopping
 * @author Anton Okhrimenko
 * @website http://www.aramba.ru
 * @email mail@aramba.ru
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 */
 
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');
 
jimport('joomla.form.formfield');
 
class JFormFieldPhones extends JFormField {
 
    protected $type = 'Phones';

    // getLabel() left out
    
    public function getInput() {
        $document = JFactory::getDocument();
        $document->addStyleSheet('/components/com_jshopping/addons/aramba_ru/assets/css/bootstrap-tagsinput.css');
        $document->addScript('/components/com_jshopping/addons/aramba_ru/assets/js/bootstrap-tagsinput.min.js');
        return '<input type="text" value="'. 
        htmlspecialchars($this->value, ENT_COMPAT, 'UTF-8') . '" name="' . $this->name . '" id="' . $this->id . '" 
        data-role="tagsinput" placeholder="79214571245" />';
    }
}