<?php
/**
 * ARAMBA. Version 1.0.0
 * @package Joomla.JoomShopping
 * @author Anton Okhrimenko
 * @website http://www.aramba.ru
 * @email mail@aramba.ru
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 */

defined('_JEXEC') or die;

class plgjshoppingadminARAMBA_RU extends JPlugin {
    
    protected function __checkPhoneNumber($phone){
        if(preg_match('/^\+?([87](?!95[4-79]|99[08]|907|94[^0]|336|986)([348]\d|9[0-6789]|7[0247])\d{8}|[1246]\d{9,13}|68\d{7}|5[1-46-9]\d{8,12}|55[1-9]\d{9}|55[12]19\d{8}|500[56]\d{4}|5016\d{6}|5068\d{7}|502[45]\d{7}|5037\d{7}|50[4567]\d{8}|50855\d{4}|509[34]\d{7}|376\d{6}|855\d{8}|856\d{10}|85[0-4789]\d{8,10}|8[68]\d{10,11}|8[14]\d{10}|82\d{9,10}|852\d{8}|90\d{10}|96(0[79]|17[01]|13)\d{6}|96[23]\d{9}|964\d{10}|96(5[69]|89)\d{7}|96(65|77)\d{8}|92[023]\d{9}|91[1879]\d{9}|9[34]7\d{8}|959\d{7}|989\d{9}|97\d{8,12}|99[^4568]\d{7,11}|994\d{9}|9955\d{8}|996[57]\d{8}|9989\d{8}|380[34569]\d{8}|381\d{9}|385\d{8,9}|375[234]\d{8}|372\d{7,8}|37[0-4]\d{8}|37[6-9]\d{7,11}|30[69]\d{9}|34[67]\d{8}|3[12359]\d{8,12}|36\d{9}|38[1679]\d{8}|382\d{8,9}|46719\d{10})$/', $phone)) {
            return true;
        }else{
            return false;
        }
    }
    
	function onBeforeEditOrderStatus(&$view){
		$status_id = JRequest::getInt("status_id");
		JFactory::getLanguage()->load('aramba_ru', JPATH_SITE.'/components/com_jshopping/addons/aramba_ru');
		$addon_row = JTable::getInstance('addon', 'jshop');
		$addon_row->loadAlias('aramba_ru');
		$params = $addon_row->getParams();
		// print_r($params); 
		?>
		<script>
		jQuery( document ).ready(function() {
			jQuery('form[name="adminForm"]').append('<div class="col100"><fieldset class="adminform"><table class="admintable" width = "100%" ><tr><td class="key"><?php echo JText::_('ARAMBA_RU_STATUS_CUSTOM_TEXT');?></td><td><textarea name="params[aramba_aramba_status_code_text][<?php echo $status_id; ?>]"><?php echo $params['aramba_aramba_status_code_text'][$status_id];?></textarea></td></tr></table></fieldset></div><div class="clr"></div>')
		});
		</script>
		<?php 
	}
	
	function onAfterSaveOrderStatus(&$order){
		$addon_row = JTable::getInstance('addon', 'jshop');
		$addon_row->loadAlias('aramba_ru');
		$params = $addon_row->getParams();
		$post = JRequest::get('post');
		$status_id = $post['status_id'];
		
		$post = JRequest::get('post');
		$params['aramba_status_code_text'][$status_id] = $post['params']['aramba_aramba_status_code_text'][$status_id];
		if (!is_array($params)) $params = array();
		
		
		$addon_row->setParams($params);
		$addon_row->store();
	}
	
	
	function onAfterChangeOrderStatusAdmin(&$order_id, &$order_status, &$status_id, &$notify, &$comments, &$include, &$view_order){
		$addon_row = JTable::getInstance('addon', 'jshop');
		$addon_row->loadAlias('aramba_ru');
		$params = $addon_row->getParams();
        
		if(!$params['aramba_addon_enable']) return;
		if(!$params['aramba_enable_change_status']) return;
		
		$order = JTable::getInstance('order', 'jshop');
		$order->load($order_id);
		
		$phone_field = $params['aramba_send_user_new_order_status_phone_field'];
		$remove = array("+", "(", ")", " ", "-");
		$user_phone = str_replace($remove, "", $order->$phone_field);
		if(!$user_phone) return;
		
        $params_status_text = $params['aramba_change_status_sms_text'];
        if($params['aramba_status_code_text'][$order_status]){
            $params_status_text = $params['aramba_status_code_text'][$order_status];
        }
        
		// Generate text
		$s = array('{ARAMBA_RU_newstatus}','{ARAMBA_RU_comment}',
				'{ARAMBA_RU_orderid}','{ARAMBA_RU_fname}','{ARAMBA_RU_lname}','{ARAMBA_RU_client_type}','{ARAMBA_RU_firma}','{ARAMBA_RU_code_firma}','{ARAMBA_RU_code_nds}','{ARAMBA_RU_email}',
				'{ARAMBA_RU_birthday}','{ARAMBA_RU_home}','{ARAMBA_RU_apartment}','{ARAMBA_RU_street}','{ARAMBA_RU_postcode}','{ARAMBA_RU_city}','{ARAMBA_RU_state}','{ARAMBA_RU_country}',
				'{ARAMBA_RU_phone}','{ARAMBA_RU_mobil_phone}','{ARAMBA_RU_fax}','{ARAMBA_RU_cost}','{ARAMBA_RU_d_fname}','{ARAMBA_RU_d_lname}','{ARAMBA_RU_d_firma}','{ARAMBA_RU_d_email}',
				'{ARAMBA_RU_d_birthday}','{ARAMBA_RU_d_home}','{ARAMBA_RU_d_apartment}','{ARAMBA_RU_d_street}','{ARAMBA_RU_d_postcode}','{ARAMBA_RU_d_city}','{ARAMBA_RU_d_state}',
				'{ARAMBA_RU_d_country}','{ARAMBA_RU_d_phone}','{ARAMBA_RU_d_mobil_phone}','{ARAMBA_RU_d_fax}');
		
		// Replace country code
		if(strstr($params_status_text, '{ARAMBA_RU_country}')){
			$row_country = JTable::getInstance('country', 'jshop');
			$row_country->load($order->country);
			$lang_tag = 'name_'.JFactory::getLanguage()->getTag();
			$country = $row_country->$lang_tag;
		}else{
			$country = $order->country;
		}
		
		// Format cost
		if(strstr($params_status_text, '{ARAMBA_RU_cost}')){
			$order_total = formatprice($order->order_total);
		}
		
		// Replace order status
		if(strstr($params_status_text, '{ARAMBA_RU_newstatus}')){
			$orderstatus_row = JTable::getInstance('orderstatus', 'jshop');
			$orderstatus = $orderstatus_row->getName($order_status);
		}else{
			$orderstatus = $order_status;
		}
		
		$r = array($orderstatus,$comments,$order->order_number,$order->f_name,$order->l_name,$order->client_type,$order->firma_name,$order->firma_code,$order->tax_number,$order->email,
				$order->birthday,$order->home,$order->apartment,$order->street,$order->zip,$order->city,$order->state,$country,
				$order->phone,$order->mobil_phone,$order->fax,$order_total,$order->d_f_name,$order->d_l_name,$order->d_firma_name,$order->d_email,
				$order->d_birthday,$order->d_home,$order->d_apartment,$order->d_street,$order->d_zip,$order->d_city,$order->d_state,
				$order->d_country,$order->d_phone,$order->d_mobil_phone,$order->d_fax);
		$text = str_replace($s, $r, $params_status_text);
		
		JFactory::getLanguage()->load('ARAMBA_RU', JPATH_SITE.'/components/com_jshopping/addons/ARAMBA_RU');
		
		$ch = curl_init("https://api.aramba.ru/singleSms");
		curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
		curl_setopt($ch, CURLOPT_POST, true);
		curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
		curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, 0);
		curl_setopt($ch, CURLOPT_HTTPHEADER, array(  
				'Accept: application/json',  
				'Content-Type: application/json',  
				'Authorization: ApiKey ' . $params['aramba_api_key']
			)
		); 
		curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode(array(
				'senderId' => $params['aramba_senders'],
				'sendDateTime' => '',
				'useRecepientTimeZone' => 'false',
				'phoneNumber' => $user_phone,
				'text' => $text
			))
		);
		$JSON_response = curl_exec($ch);
		$http_code = curl_getinfo($ch, CURLINFO_HTTP_CODE);
		curl_close($ch);
				
		switch($http_code){
                case 200:
                	JFactory::getApplication()->enqueueMessage(JText::_('ARAMBA_RU_ALERTS_AUTH_200'),'message');
                	break;
                case 400:
                	JFactory::getApplication()->enqueueMessage(JText::_('ARAMBA_RU_ALERTS_AUTH_400'),'error');
                	break;
                case 401:
                	JFactory::getApplication()->enqueueMessage(JText::_('ARAMBA_RU_ALERTS_AUTH_401'),'error');
                	break;
                case 402:
                	JFactory::getApplication()->enqueueMessage(JText::_('ARAMBA_RU_ALERTS_AUTH_402'),'error');
                	break;
				case 403:
                	JFactory::getApplication()->enqueueMessage(JText::_('ARAMBA_RU_ALERTS_AUTH_403'),'error');
                	break;
                case 409:
                	JFactory::getApplication()->enqueueMessage(JText::_('ARAMBA_RU_ALERTS_AUTH_409'),'error');
                	break;
                case 500:
                	JFactory::getApplication()->enqueueMessage(JText::_('ARAMBA_RU_ALERTS_AUTH_500'),'error');
                	break;
    	}
	}
	
    protected function __isarambaruaddon($id){
        $addon_row = JTable::getInstance('addon', 'jshop');
		$addon_row->loadAlias('ARAMBA_RU');
        $addon_id = $addon_row->get('id');
        return ($addon_id == $id) ? true : false;
    }
}